Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class SieveEncodingInfo

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.EncodingInfo
            |
            +--weblogic.apache.xml.serialize.SieveEncodingInfo

public class SieveEncodingInfo
extends EncodingInfo

This class represents an encoding.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: SieveEncodingInfo.java,v 1.1 2000/12/14 19:21:55 lehors Exp $

Constructor Summary
`SieveEncodingInfo(java.lang.String mimeName, int lastPrintable)` Creates new `SeiveEncodingInfo` instance.
`SieveEncodingInfo(java.lang.String mimeName, java.lang.String javaName, int lastPrintable, java.lang.String dangers)` Creates new `SeiveEncodingInfo` instance.

Method Summary
`boolean` | `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class weblogic.apache.xml.serialize.EncodingInfo
`getName, getWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             java.lang.String javaName,
                             int lastPrintable,
                             java.lang.String dangers)

  Creates new `SeiveEncodingInfo` instance.

  Parameters:
    `dangers` - A sorted characters that are always printed as character references.

### SieveEncodingInfo

    public SieveEncodingInfo(java.lang.String mimeName,
                             int lastPrintable)

  Creates new `SeiveEncodingInfo` instance.

Method Detail

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.

  Parameters:
    `ch` - a code point (0-0x10ffff)
  Overrides:
    isPrintable in class EncodingInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference